part of amf;

class AMFVersion {

  static const kAMF0Version = 0x00;

  static const kAMF3Version = 0x03;
}


class AMF0Type {
  static const int kAMF0NumberType = 0x0;

  static const int kAMF0BooleanType = 0x1;

  static const int kAMF0StringType = 0x2;

  static const int kAMF0ObjectType = 0x3;

  static const int kAMF0MovieClipType = 0x4;

  static const int kAMF0NullType = 0x5;

  static const int kAMF0UndefinedType = 0x6;

  static const int kAMF0ReferenceType = 0x7;

  static const int kAMF0ECMAArrayType = 0x8;

  static const int kAMF0ObjectEndType = 0x9;

  static const int kAMF0StrictArrayType = 0xA;

  static const int kAMF0DateType = 0xB;

  static const int kAMF0LongStringType = 0xC;

  static const int kAMF0UnsupportedType = 0xD;

  static const int kAMF0RecordsetType = 0xE;

  static const int kAMF0XMLObjectType = 0xF;

  static const int kAMF0TypedObjectType = 0x10;

  static const int kAMF0AVMPlusObjectType = 0x11;


}
//

class AMF3Type {
  static const int kAMF3UndefinedType = 0x0;

  static const int kAMF3NullType = 0x1;

  static const int kAMF3FalseType = 0x2;

  static const int kAMF3TrueType = 0x3;

  static const int kAMF3IntegerType = 0x4;

  static const int kAMF3DoubleType = 0x5;

  static const int kAMF3StringType = 0x6;

  static const int kAMF3XMLDocType = 0x7;

  static const int kAMF3DateType = 0x8;

  static const int kAMF3ArrayType = 0x9;

  static const int kAMF3ObjectType = 0xA;

  static const int kAMF3XMLType = 0xB;

  static const int kAMF3ByteArrayType = 0xC;

  static const int kDictionaryType = 0x11;
}
//
//enum
//{

class AMFConsts {
  static const int AMFUnarchiverUnpackArrayCollection = 0x1;

  static const int AMFUnarchiverUnpackObjectProxyOption = 0x2;

  //};

  //

  //enum

  //{

  static const int AMFArchiverPackArrayOption = 0x1;
  // converts an array to an ArrayCollection
  //};
  //
}

class AMFErrorCode {
  static const int kAMFErrorInvalidRequest = 1;

  static const int kAMFErrorServiceNotFound = 2;

  static const int kAMFErrorMethodNotFound = 3;

  static const int kAMFErrorArgumentMismatch = 4;

  static const int kAMFErrorInvalidArguments = 5;
}
